/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebPivotAggregatorDescription = /*@__PURE__*/ (() => {
    class WebPivotAggregatorDescription extends Description {
        constructor() {
            super();
            this.j = null;
            this.k = null;
            this.i = null;
            this.h = null;
        }
        get_type() {
            return "WebPivotAggregator";
        }
        get type() {
            return this.get_type();
        }
        get key() {
            return this.j;
        }
        set key(a) {
            this.j = a;
            this.e("Key");
        }
        get label() {
            return this.k;
        }
        set label(a) {
            this.k = a;
            this.e("Label");
        }
        get aggregatorName() {
            return this.i;
        }
        set aggregatorName(a) {
            this.i = a;
            this.e("AggregatorName");
        }
        get aggregatorRef() {
            return this.h;
        }
        set aggregatorRef(a) {
            this.h = a;
            this.e("AggregatorRef");
        }
    }
    WebPivotAggregatorDescription.$t = /*@__PURE__*/ markType(WebPivotAggregatorDescription, 'WebPivotAggregatorDescription', Description.$);
    WebPivotAggregatorDescription.__marshalByValue = true;
    WebPivotAggregatorDescription.__marshalByValueAlias = "PivotAggregator";
    return WebPivotAggregatorDescription;
})();
